OpenTTD Source: Data Fields

OpenTTD Source 13.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- i : GraphEdgeIterator , LanguagePackGlyphSearcher
- icon : CheatWindow , PerformanceLeagueWindow
- icon_size : ScriptLeagueWindow , TownAuthorityWindow
- IConsoleLine() : IConsoleLine
- id : AllowedSubtags , Button< T > , ChunkHandler , ContentInfo , NamePart , OptionData
- ident : GRFConfig
- IDENT : LanguagePackHeader
- ident : LanguagePackHeader , NamedGRFIdentifier
- IDLE_TIMEOUT : ClientNetworkContentSocketHandler , ClientNetworkCoordinatorSocketHandler
- IL_MULTIPLIER : IndustryViewWindow
- IL_NONE : IndustryViewWindow
- IL_RATE1 : IndustryViewWindow
- IL_RATE2 : IndustryViewWindow
- image : ParentSpriteToDraw
- image_1 : DrawIndustryAnimationStruct
- image_2 : DrawIndustryAnimationStruct
- image_3 : DrawIndustryAnimationStruct
- image_override : DisasterVehicle
- improved_load : OrderSettings
- IN_AUTOREFIT : LinkRefresher
- in_shutdown : ScriptInstance
- in_use : Livery
- in_window : CursorVars
- inaugurated_year : CompanyProperties , NetworkCompanyInfo
- IncIndustryTypeCount() : Industry
- Include() : CBinaryHeapT< T >
- income : CompanyEconomyEntry , NetworkCompanyInfo
- incoming_cargo_waiting : Industry
- incoming_queue : NetworkGameSocketHandler
- IncrementImplicitOrderIndex() : Vehicle
- IncrementRealOrderIndex() : Vehicle
- IncrementSize() : CargoDataEntry
- IncTypeCount() : Object
- ind_cargo : IndustryCargoesWindow
- ind_scope : IndustryTileResolverObject
- ind_textsize : IndustryCargoesWindow
- ind_type : CargoesField
- indent : GUIEngineListItem
- Indent() : Rect
- indents : VehicleGroupWindow
- index : BuildIndustryWindow
- Index() : CargoSpec
- index : LangString , LinkGraph::NodeWrapper< Tnode, Tedge > , NWidgetCore , NWidgetMatrix , NWidgetPartWidget , NWidgetStacked
- Index() : ObjectSpec
- index : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , VehicleListIdentifier
- indtile_scope : IndustryTileResolverObject
- indtype : Station
- indtypes : StationNameInformation
- industries_near : Station
- industries_scope : IndustriesResolverObject
- IndustriesResolverObject() : IndustriesResolverObject
- IndustriesScopeResolver() : IndustriesScopeResolver
- industry : CargoesField , IndustriesScopeResolver , IndustryTileScopeResolver , Station
- industry_daily_change_counter : Economy
- industry_daily_increment : Economy
- industry_density : DifficultySettings
- INDUSTRY_LINE_COLOUR : CargoesField
- INDUSTRY_MIN_NUMBER_OF_COLUMNS : SmallMapWindow
- industry_platform : ConstructionSettings
- industry_width : CargoesField
- IndustryNameSorter() : IndustryDirectoryWindow
- IndustryProductionSorter() : IndustryDirectoryWindow
- IndustryTileResolverObject() : IndustryTileResolverObject
- IndustryTileScopeResolver() : IndustryTileScopeResolver
- IndustryTransportedCargoSorter() : IndustryDirectoryWindow
- IndustryTypeSorter() : IndustryDirectoryWindow
- inf : NWidgetNewGRFDisplay
- infl_amount : Economy
- infl_amount_pr : Economy
- inflation : EconomySettings
- inflation_payment : Economy
- inflation_prices : Economy
- info : Game , GRFConfig , NetworkGameList , NetworkGameSocketHandler , ScriptConfig
- info_dummy : AIScannerInfo
- info_height : BuildObjectWindow , IndustryViewWindow
- info_list : AIListWindow , ScriptScanner
- info_single_list : ScriptScanner
- InfoLine : IndustryViewWindow
- information_width : RefitWindow
- infos : ClientNetworkContentSocketHandler
- infrastructure : Company
- infrastructure_maintenance : EconomySettings
- ini_key : WindowDesc
- ini_set : BaseMedia< Tbase_set >
- IniFile() : IniFile
- IniGroup() : IniGroup
- IniItem() : IniItem
- IniLoadFile() : IniLoadFile
- Init() : AyStar , BaseSettingEntry , BinaryHeap , Hash , LinkGraph::BaseEdge , LinkGraph::BaseNode , LinkGraph , LinkGraphJob::EdgeAnnotation , LinkGraphJob , LinkGraphJob::NodeAnnotation , OpenGLBackend , SettingEntry , SettingsContainer , SettingsPage
- init : TemporaryStorageArray< TYPE, SIZE >
- init_key : TemporaryStorageArray< TYPE, SIZE >
- init_load : SaveLoadFormat
- init_proc : Disaster
- init_write : SaveLoadFormat
- initial_city_size : EconomySettings
- initial_interest : DifficultySettings
- initial_payment : CargoSpec
- initial_random_bits : HouseScopeResolver
- initial_tempo : MpsMachine
- InitialiseCrashLog() : CrashLog
- Initialize() : AI , AIInstance , BitmapTileArea , Game , GameInstance , OrderList , ScriptInstance , ScriptScanner , Squirrel
- InitializeData() : Window
- InitializeLayout() : Town
- InitializePositionSize() : Window
- InitializeUnicodeGlyphMap() : FontCache , SpriteFontCache , TrueTypeFontCache
- InitializeViewport() : NWidgetViewport
- InitNested() : Window
- InitShaders() : OpenGLBackend
- InitThread() : CrashLog
- input_cargo_multiplier : IndustrySpec
- InputLoop() : VideoDriver , VideoDriver_Allegro , VideoDriver_Cocoa , VideoDriver_SDL , VideoDriver_SDL_Base , VideoDriver_Win32Base
- Insert() : Kdtree< T, TxyFunc, CoordT, DistT > , LRUCache< Tkey, Tdata > , MultiMap< Tkey, Tvalue, Tcompare > , SmallMap< T, U >
- InsertChar() : Textbuf
- InsertClipboard() : Textbuf
- InsertClosedNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- InsertDefaults() : NewGRFClass< Tspec, Tid, Tmax >
- InsertEvent() : ScriptInstance
- InsertOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- InsertOrderAt() : OrderList
- InsertOrRetrieve() : CargoDataEntry
- InsertRecursive() : Kdtree< T, TxyFunc, CoordT, DistT >
- InsertString() : Textbuf
- InsertTextString() : IConsoleWindow , Window
- InShutdown() : ScriptInstance
- instance : Game , LinkGraphSchedule , OpenGLBackend , ScriptInstance
- instance_name : ScriptInfo
- instant_close : DropdownWindow
- intended_railtype : RailVehicleInfo
- INTER_COLUMN_SPACING : NWidgetNewGRFDisplay
- INTER_LIST_SPACING : NWidgetNewGRFDisplay
- interest_rate : Economy
- internal_id : EngineIDMapping
- InternalClearCursorCache() : OpenGLBackend
- InternalDoAfter() : CommandHelperBase
- InternalDoBefore() : CommandHelperBase
- InternalExecutePrepTest() : CommandHelperBase
- InternalExecuteProcessResult() : CommandHelperBase
- InternalExecuteValidateTestAndPrepExec() : CommandHelperBase
- InternalPostBefore() : CommandHelperBase
- InternalPostResult() : CommandHelperBase
- Intersects() : OrthogonalTileArea
- interval : IntSettingDesc
- intro_date : Engine
- intro_viewport_commands : SelectGameWindow
- introduces_railtypes : RailtypeInfo
- introduces_roadtypes : RoadTypeInfo
- introduction_date : ObjectSpec , RailtypeInfo , RoadTypeInfo
- introduction_required_railtypes : RailtypeInfo
- introduction_required_roadtypes : RoadTypeInfo
- INV_CARGO : StationViewWindow
- INV_FLOWS : StationViewWindow
- INVALID : ContentInfo
- invalid : MakeEnumPropsT< Tenum_t, Tstorage_t, Tbegin, Tend, Tinvalid, Tnum_bits >
- INVALID_DURATION : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- invalid_ID : OverrideManagerBase
- INVALID_NODE : Kdtree< T, TxyFunc, CoordT, DistT >
- invalid_path : Path
- Invalidate() : FlowStat
- InvalidateAllFrom() : CargoPacket
- InvalidateCache() : CargoList< Tinst, Tcont > , VehicleCargoList
- InvalidateData() : Window
- InvalidateDimensionCache() : NWidgetLeaf
- InvalidateFileList() : ConsoleFileList
- InvalidateNewGRFCache() : Vehicle
- InvalidateNewGRFCacheOfChain() : Vehicle
- InvalidateStoryPageElementLayout() : StoryBookWindow
- Invalidation : StationViewWindow
- Is32BppSupported() : Blitter , OpenGLBackend , SpriteEncoder
- is_ai : CompanyProperties
- is_dead : ScriptInstance
- is_developer_only : GameInfo
- is_female : SelectCompanyManagerFaceWindow
- is_freight : CargoSpec
- is_full_loading : LinkRefresher
- is_moust_male : SelectCompanyManagerFaceWindow
- is_paused : ScriptInstance
- is_random : ScriptConfig
- is_save_data_on_stack : ScriptInstance
- is_started : ScriptInstance
- is_transparent : Layouter::LineCacheCompare
- is_vertical : Scrollbar
- is_viewport_candidate : MutableSpriteCache
- IsAnyStationTileReserved() : CYapfCostRailT< Types >
- IsArticulatedPart() : Vehicle
- IsAutoRefit() : Order
- IsAvailable() : AirportSpec , ObjectSpec
- IsAwarded() : Subsidy
- IsBetter() : CapacityAnnotation , DistanceAnnotation
- IsBoolSetting() : BoolSettingDesc , IntSettingDesc
- IsBuiltInFont() : CoreTextFontCache , FontCache , FreeTypeFontCache , SpriteFontCache , TrueTypeFontCache
- IsBus() : RoadVehicle
- IsButton() : NWidgetToolbarContainer
- IsChainInDepot() : GroundVehicle< T, Type > , Vehicle
- IsCompletelyTimetabled() : Order
- IsCompleteTimetable() : OrderList
- IsConnected() : ClientNetworkGameSocketHandler , NetworkHTTPSocketHandler , NetworkTCPSocketHandler
- isConnecting : ClientNetworkContentSocketHandler
- IsConnectInProgress() : NetworkError
- IsConnectionReset() : NetworkError
- IsCritical() : ErrmsgWindow
- IsCustomPlaylist() : MusicSystem
- IsDead() : AIDebugWindow , ScriptInstance
- IsDescSortOrder() : GUIList< T, F >
- IsDeveloperOnly() : GameInfo , ScriptInfo
- IsDisabled() : NWidgetCore
- IsDraggingDiagonal() : TileHighlightData
- IsDriveThroughRoadStopContinuation() : RoadStop
- IsEditable() : AIConfigWindow , GSConfigWindow , SettingDesc
- IsEmpty() : CBinaryHeapT< T > , FixedSizeArray< T, C > , NWidgetContainer , SmallArray< T, B, N > , SmallSet< Tdir, items > , SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size > , StringFilter
- IsEnabled() : Engine
- IsEnd() : ByteBuffer
- IsEngine() : GroundVehicle< T, Type >
- IsEngineCountable() : Vehicle
- IsEntranceBusy() : RoadStop
- IsEverAvailable() : ObjectSpec
- IsExpected() : SpecializedStation< T, Tis_waypoint >
- IsFamily() : NetworkAddress
- IsFiltered() : BaseSettingEntry
- IsFilterEnabled() : GUIList< T, F >
- IsFirstPageSelected() : StoryBookWindow
- IsFreeBay() : RoadStop
- IsFreeWagon() : GroundVehicle< T, Type >
- IsFrontEngine() : Vehicle
- IsFull() : CBinaryHeapT< T > , FixedSizeArray< T, C > , SmallArray< T, B, N > , SmallSet< Tdir, items >
- IsGotoOrder() : Order
- IsGroundVehicle() : Engine , Vehicle
- IsHidden() : Engine
- IsHighlighted() : NWidgetCore
- IsHumanID() : Company
- IsIn() : SmallSet< Tdir, items >
- IsInDepot() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- IsInNetmask() : NetworkAddress
- IsInspectable() : NIHAirportTile , NIHelper , NIHHouse , NIHIndustry , NIHIndustryTile , NIHObject , NIHRailType , NIHRoadType , NIHStation , NIHTown , NIHVehicle
- IsIntSetting() : IntSettingDesc , SettingDesc
- IsInUse() : BaseStation
- IsJobAborted() : LinkGraphJob
- IsJobCompleted() : LinkGraphJob
- IsJoinWithUnfinishedJobDue() : LinkGraphSchedule
- IsLastPageSelected() : StoryBookWindow
- IsLinkVisible() : LinkGraphOverlay
- IsLowered() : NWidgetCore
- IsMultiheaded() : GroundVehicle< T, Type >
- IsNewGRFInspectable() : IndustryViewWindow , LandInfoWindow , VehicleViewWindow , Window
- IsNormalAircraft() : Aircraft
- IsNull() : CCountedPtr< Tcls_ >
- isocode : LanguagePackHeader
- IsOfType() : Depot , Waypoint
- IsOrderListShared() : Vehicle
- IsParentSprite() : DrawTileSeqStruct
- IsPaused() : AI , Game , ScriptInstance
- IsPlaying() : MusicSystem
- IsPointVisible() : LinkGraphOverlay
- IsPrimaryVehicle() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- IsProcessingIndustry() : IndustrySpec
- IsRandom() : ScriptConfig
- IsRawIndustry() : IndustrySpec
- IsRearDualheaded() : GroundVehicle< T, Type >
- IsReasonablyFinished() : LanguagePackHeader
- IsRefit() : Order
- IsResolved() : NetworkAddress
- IsSameValue() : IntSettingDesc , ListSettingDesc , NullSettingDesc , SettingDesc , StringSettingDesc
- IsScheduledToBeJoined() : LinkGraphJob
- IsSelected() : ContentInfo
- IsShaded() : Window
- IsShared() : OrderList
- IsShuffle() : MusicSystem
- IsSingleTile() : Waypoint
- IsSleeping() : ScriptInstance
- IsSongPlaying() : MusicDriver , MusicDriver_Allegro , MusicDriver_BeMidi , MusicDriver_Cocoa , MusicDriver_DMusic , MusicDriver_ExtMidi , MusicDriver_FluidSynth , MusicDriver_Null , MusicDriver_OS2 , MusicDriver_Win32
- IsSortable() : GUIList< T, F >
- IsStoppedInDepot() : Vehicle
- IsStringSetting() : SettingDesc , StringSettingDesc
- IsSuspended() : Squirrel
- IsTerminator() : DrawTileSeqStruct
- IsTopLevel() : RecursiveCommandCounter
- IsTravelTimetabled() : Order
- IsType() : Order
- IsUIAvailable() : NewGRFClass< Tspec, Tid, Tmax >
- IsUnbalanced() : Kdtree< T, TxyFunc, CoordT, DistT >
- IsUsable() : BlitterFactory , FBlitter_40bppAnim
- IsValid() : Backup< T > , ByteBuffer , CargoSpec , ContentInfo , LanguagePackHeader , VehicleSpriteSeq
- IsValidAiID() : Company
- IsValidDebugCompany() : AIDebugWindow
- IsValidHumanID() : Company
- IsValidID() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , SpecializedStation< T, Tis_waypoint > , SpecializedVehicle< T, Type >
- IsValidSpriteSet() : GrfProcessingState
- IsVehicleInSharedOrdersList() : OrderList
- IsVehicleServiceIntervalEnabled() : VehicleDetailsWindow
- IsVertical() : Scrollbar
- IsVisible() : BaseSettingEntry , Scrollbar , SettingsContainer , SettingsPage
- IsVisibleByRestrictionMode() : SettingEntry
- IsWagon() : GroundVehicle< T, Type >
- IsWaitTimetabled() : Order
- IsWidgetDisabled() : Window
- IsWidgetFocused() : Window
- IsWidgetGloballyFocused() : Window
- IsWidgetHighlighted() : Window
- IsWidgetLowered() : Window
- IsWidgetVisible() : NWidgetServerListHeader
- IsWithinMapBounds() : AirportSpec
- it : FlowEdgeIterator
- item : IniGroup , NewGRFProfiler::Call
- ItemAt() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- items : CBinaryHeapT< T > , FixedSizeArray< T, C >::ArrayHeader , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- Items() : SmallSet< Tdir, items >
- ITER_CHARACTER : StringIterator
- ITER_WORD : StringIterator
- Iterate() : CargoSpec , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool > , SpecializedStation< T, Tis_waypoint > , SpecializedVehicle< T, Type > , Window
- IterateActive() : ServerNetworkAdminSocketHandler
- IterateFromBack : Window
- IterateFromFront : Window
- IterateType() : Engine
- Iterator : CargoList< Tinst, Tcont >
- IteratorToBack : Window
- IteratorToFront : Window
- IterType : StringIterator